Get the results of the consignment product detail report as an xlsx file

Body·
application/json
  • batch
    Type: string | null

    The product batch to filter by

  • bestBeforeDate
    Type: string | nullFormat: date

    The product best before date to filter by

  • clientPartnerId
    Type: string | nullFormat: uuid

    The client partner to filter by

  • consignmentType
    Type: integerenum

    Integer numbers.

    values
    • PointToPoint = 0
    • Inwards = 1
    • Outwards = 2
  • dateFrom
    Type: stringFormat: date

    The start date in the consignment date range

  • dateTo
    Type: stringFormat: date

    The end date in the consignment date range

  • expiryDate
    Type: string | nullFormat: date

    The product expiry date to filter by

  • packagingDate
    Type: string | nullFormat: date

    The product packaging date to filter by

  • partnerProductId
    Type: string | nullFormat: uuid

    The partener product to filter by

  • productionDate
    Type: string | nullFormat: date

    The product production date to filter by

  • sellByDate
    Type: string | nullFormat: date

    The product sell by date to filter by

  • warehouseId
    Type: string | nullFormat: uuid

    The warehouse to filter by

Responses
  • 200

    OK

Request Example for post/v1/reports/consignment-product-detail/xlsx
curl https://api.consignlyhq.com/v1/reports/consignment-product-detail/xlsx \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "dateFrom": "date (YYYY-MM-DD)",
  "dateTo": "date (YYYY-MM-DD)",
  "consignmentType": "enum (PointToPoint = 0, Inwards = 1, Outwards = 2)",
  "clientPartnerId": null,
  "warehouseId": null,
  "partnerProductId": null,
  "batch": null,
  "bestBeforeDate": "date (YYYY-MM-DD)",
  "expiryDate": "date (YYYY-MM-DD)",
  "packagingDate": "date (YYYY-MM-DD)",
  "productionDate": "date (YYYY-MM-DD)",
  "sellByDate": "date (YYYY-MM-DD)"
}'
No Body